> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/recipients/list-recipients-user/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # List Recipients for a User GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/users/{UserId}/recipients **Note – Endpoint returns filtered list by default** By default, this endpoint returns only recipients with the `RecipientScope` value of `PAYOUT`. Specify `ALL` to retrieve both `PAYIN` and `PAYOUT` recipients, or `PAYIN` to retrieve only pay-in recipients. By default, results are sorted by `CreationDate` in descending order. List recipients created for a UserId Reference: https://docs.mangopay.com/api-reference/recipients/list-recipients-user ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `UserId` (string, required) — The unique identifier of the user. ### Query parameters - `page` (integer, optional) — Start value: `1` **Default value:** `1` Indicates the index of the page for the pagination. - `per_page` (integer, optional) — Min. value: `1`; max. value: `100` **Default value:** `10` Indicates the number of items returned for each page of the pagination. - `Sort` (string, optional) — **Possible values:** `CreationDate:ASC`, `CreationDate:DESC` **Default value:** `CreationDate:DESC` Indicates the direction in which to sort the list. - `RecipientScope` (string, optional) — **Possible values:** `ALL`, `PAYOUT`, `PAYIN` **Default value:** `PAYOUT` By default, this endpoint returns only recipients with the `RecipientScope` value of `PAYOUT`. Specify `ALL` to retrieve both `PAYIN` and `PAYOUT` recipients, or `PAYIN` to retrieve only pay-in recipients. Read more about [recipient scopes in the guide](/guides/sca/recipients#recipient-scopes). ## Response ### 200 Success - `list of RecipientListItem` ## Types ### RecipientListItem - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `DisplayName` (string, optional, nullable) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `PayoutMethodType` (string, optional) — **Returned values:** `InternationalBankTransfer`, `LocalBankTransfer` The payout method of the recipient: - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` via the [domestic payment rail](/guides/payouts#payout-rails) (e.g. `EUR` via a SEPA local scheme to a SEPA country, `GBP` via FPS to a `GB` account, `USD` via ACH to a `US` account, etc). Payouts in non-local currencies return an error. - `InternationalBankTransfer` – The account can receive both non-local currencies via SWIFT and also local currency via domestic rails. - `RecipientType` (string, optional) — **Returned values:** `Individual`, `Business` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `Currency` (string, optional) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `UserId` (string, optional) — The unique identifier of the user. - `Status` (string, optional) — **Returned values:** `PENDING`, `CANCELED`, `ACTIVE`, `DEACTIVATED` The status of the recipient: - `PENDING` – For `PAYOUT` scope recipients, the user must complete SCA before the recipient can become `ACTIVE`. For `PAYIN` scope recipients, the recipient creation is in progress. - `CANCELED` – SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve another `PendingUserAction.RedirectUrl`. The `CANCELED` status does not apply if `RecipientScope` is `PAYIN`. - `ACTIVE` – Recipient creation was successful (including SCA if `RecipientScope` is `PAYOUT`) and the recipient is ready to be used for payouts. - `DEACTIVATED` – The recipient has been permanently deactivated and can no longer be used. - `RecipientScope` (string, optional) — **Returned values:** `PAYIN`, `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. Both `PAYIN` and `PAYOUT` scopes can be created for either `InternationalBankTransfer` or `LocalBankTransfer`, and for either `IndividualRecipient` or `BusinessRecipient`, and for any `Currency`. ## Examples **Response** ```json [ { "Id": "bankacc_m_01JCN1X2EHWG0JNJNPNQ21CW5G", "CreationDate": 1723035193, "DisplayName": null, "PayoutMethodType": "LocalBankTransfer", "RecipientType": "Individual", "Currency": "EUR", "Country": "FR", "UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z", "Status": "ACTIVE", "RecipientScope": "PAYOUT" }, { "Id": "rec_01JV70P7J10PRZP0JQQ9CQZFN8", "CreationDate": 1746622392, "DisplayName": "Alex Smith EUR account", "PayoutMethodType": "InternationalBankTransfer", "RecipientType": "Business", "Currency": "EUR", "Country": "FR", "UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z", "Status": "ACTIVE", "RecipientScope": "PAYOUT" }, { "Id": "rec_01JV6ZZG6W0RKG6ZGA3MEY60BZ", "CreationDate": 1746699783, "DisplayName": "Alex Smith USD account", "PayoutMethodType": "LocalBankTransfer", "RecipientType": "Individual", "Currency": "USD", "Country": "US", "UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z", "Status": "CANCELED", "RecipientScope": "PAYOUT" } ] ```